GNU bug report logs - #55436
[PATCH 0/3] Update public-inbox to 1.8.0

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Thiago Jung Bauermann <bauermann@HIDDEN>; Keywords: patch; Done: Ludovic Courtès <ludo@HIDDEN>; Maintainer for guix-patches is guix-patches@HIDDEN.

Message received at 55436-done <at> debbugs.gnu.org:


Received: (at 55436-done) by debbugs.gnu.org; 1 Jun 2022 20:45:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jun 01 16:45:41 2022
Received: from localhost ([127.0.0.1]:52033 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nwVDp-0000Ft-19
	for submit <at> debbugs.gnu.org; Wed, 01 Jun 2022 16:45:41 -0400
Received: from eggs.gnu.org ([209.51.188.92]:33972)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1nwVDn-00008U-12
 for 55436-done <at> debbugs.gnu.org; Wed, 01 Jun 2022 16:45:39 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:44324)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>)
 id 1nwVDh-0004wx-Fg; Wed, 01 Jun 2022 16:45:33 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:In-Reply-To:Date:References:Subject:To:
 From; bh=bmG2IhKcqF7klbaRbuIhdp7Xob3JLJd4KssB3t+RZkI=; b=VIf6lw3B3/7SiVBtzXIB
 m0OEgcyua0K1aXAKaqGj1LdOIZdbKmcs2Qyo7M2bhP+Vwu2Z6f/xuWsQ4RViLd0bnPKj0uxU663JR
 rqcdgax+dxb4OTd70tSHW7BtPwgygXDuXmn8qOMTDDTedwnbws2ln9MkMR4deTgD9VkHcsyky/oeh
 KJvKn677l+Mt6GFUbTQXO/+tgwd9AptEOQNYLofDLtqAxuplqrpDeSEdYWKs60D11bVwICJafJ2Nz
 sFHA8ah9tNuAD1+wGTzh96OZ1ErBF2vRsazxDKQQI1u7XZe3umk+PIgBd0qSGySdpJRnlc0QD9vfJ
 hXV8J9G26p3hXA==;
Received: from 91-160-117-201.subs.proxad.net ([91.160.117.201]:63925
 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>)
 id 1nwVDQ-00065Y-VV; Wed, 01 Jun 2022 16:45:32 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Thiago Jung Bauermann <bauermann@HIDDEN>
Subject: Re: bug#55436: [PATCH 0/3] Update public-inbox to 1.8.0
References: <20220515220230.504057-1-bauermann@HIDDEN>
 <20220515220230.504057-3-bauermann@HIDDEN>
 <87wnem2pid.fsf@HIDDEN> <87sfpaurho.fsf@HIDDEN>
 <87v8tvj8cn.fsf_-_@HIDDEN> <87ilptfwd2.fsf@HIDDEN>
Date: Wed, 01 Jun 2022 22:45:10 +0200
In-Reply-To: <87ilptfwd2.fsf@HIDDEN> (Thiago Jung Bauermann's message of
 "Wed, 25 May 2022 12:21:52 -0300")
Message-ID: <871qw8t8o9.fsf_-_@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 55436-done
Cc: Kyle Meyer <kyle@HIDDEN>, 55436-done <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hi Thiago,

Thiago Jung Bauermann <bauermann@HIDDEN> skribis:

> Would it be possible to commit these patches as they are now,

Definitely, done!

> and then if someone can make public-inbox use libgit2 then that change
> can be submitted as a separate patch?

Sure, we can keep that as future work.  :-)

Thanks,
Ludo=E2=80=99.




Notification sent to Thiago Jung Bauermann <bauermann@HIDDEN>:
bug acknowledged by developer. Full text available.
Reply sent to Ludovic Courtès <ludo@HIDDEN>:
You have taken responsibility. Full text available.

Message received at 55436 <at> debbugs.gnu.org:


Received: (at 55436) by debbugs.gnu.org; 25 May 2022 15:47:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 25 11:47:10 2022
Received: from localhost ([127.0.0.1]:56288 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nttE6-0002sn-7u
	for submit <at> debbugs.gnu.org; Wed, 25 May 2022 11:47:10 -0400
Received: from mx.kolabnow.com ([212.103.80.153]:8218)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bauermann@HIDDEN>) id 1nttE2-0002sG-Al
 for 55436 <at> debbugs.gnu.org; Wed, 25 May 2022 11:47:09 -0400
Received: from localhost (unknown [127.0.0.1])
 by mx.kolabnow.com (Postfix) with ESMTP id 151C041E7E;
 Wed, 25 May 2022 17:46:59 +0200 (CEST)
Authentication-Results: ext-mx-out003.mykolab.com (amavisd-new);
 dkim=pass (4096-bit key) reason="pass (just generated, assumed good)"
 header.d=kolabnow.com
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=kolabnow.com; h=
 content-transfer-encoding:content-type:content-type:mime-version
 :message-id:in-reply-to:date:date:subject:subject:from:from
 :references:received:received:received; s=dkim20160331; t=
 1653493618; x=1655308019; bh=nawyRrdKOGkZOsmsvXH26dvaW5zre85bd3V
 SIIbzelE=; b=ujPF3yCex2nhSpsxLevOP2BkR7qKQa4lHZnkWPJZtAIliNlfELk
 oV4XTF/AKZDfGlEnb81FGir1jpUSO8gtnTV0tikD6UEbZrsyUPFYjUnZnNN8eFkw
 zGxgAXkAQb36kJ3ZsSvsdpZ0sZuqsQNcsumxhDzN+sb8/kPO2c+3g/ttzw3ffKPR
 zfuWuaUOJsXGVMtizMnFnhiEpZ09869igV1f2KUKZfUV+dI49Q90cKpvSD2DiJWt
 ZTDrZja57KB1PwfUiBeuqDmlkw1xXnVMFurZBFXMBW3pxHqyhm35BudIcGTUd6nL
 SI3GbxZYTGMt+rldzBEZfivgHU2mYw5uMnk2qHAHhO0Gj4+/S4CUkeOyLMqkA39B
 sXVDSfY+dErTALCDfWDnveCEaeHa3k/MxR5wRYnCFbMBRJOKNXODJv0VL1hKLG0X
 nv4bBlL4oUgcXmjRAT6sCue3edPcx9ZZk0j68i65iRzADxOj+gj8WJClv7XCF92L
 D3ReWSckknR4vftl5eRibLW7UFuf0sWU5nYxGJd2LILVPhRVc9xCXes9dJ+yP6dt
 JaZt19uNpkO+mU3jDeTLXBQcfvT6YF0Q1IJ0d4pAA5DU3vofwqn1438rTXMCajAs
 KM+u/9ABhH4KNe2pREB9YVmS8VbxOReIUfNIrUHabB2u5BqXQ6Td+ydI=
X-Virus-Scanned: amavisd-new at mykolab.com
X-Spam-Flag: NO
X-Spam-Score: -1.9
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 tagged_above=-10 required=5
 tests=[BAYES_00=-1.9] autolearn=ham autolearn_force=no
Received: from mx.kolabnow.com ([127.0.0.1])
 by localhost (ext-mx-out003.mykolab.com [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id P523--hPMkmg; Wed, 25 May 2022 17:46:58 +0200 (CEST)
Received: from int-mx003.mykolab.com (unknown [10.9.13.3])
 by mx.kolabnow.com (Postfix) with ESMTPS id 6558441E7D;
 Wed, 25 May 2022 17:46:56 +0200 (CEST)
Received: from ext-subm001.mykolab.com (unknown [10.9.6.1])
 by int-mx003.mykolab.com (Postfix) with ESMTPS id 623993701;
 Wed, 25 May 2022 17:46:55 +0200 (CEST)
References: <20220515220230.504057-1-bauermann@HIDDEN>
 <20220515220230.504057-3-bauermann@HIDDEN>
 <87wnem2pid.fsf@HIDDEN> <87sfpaurho.fsf@HIDDEN>
 <87v8tvj8cn.fsf_-_@HIDDEN>
From: Thiago Jung Bauermann <bauermann@HIDDEN>
To: Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>
Subject: Re: bug#55436: [PATCH 0/3] Update public-inbox to 1.8.0
Date: Wed, 25 May 2022 12:21:52 -0300
In-reply-to: <87v8tvj8cn.fsf_-_@HIDDEN>
Message-ID: <87ilptfwd2.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55436
Cc: Kyle Meyer <kyle@HIDDEN>, 55436 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


Hello,

Ludovic Court=C3=A8s <ludo@HIDDEN> writes:

> Thiago Jung Bauermann <bauermann@HIDDEN> skribis:
>
>> Ah, I wasn't aware of that. I'll wait a bit to see if there are more
>> comments and spin a v2 with the change.
>
> I haven=E2=80=99t tested it but at first sight it LGTM.

Thank you for your review!

I tried adding both libgit2 and pkg-config (which public-inbox uses to
find the library) to the package inputs, but unfortunately the resulting
package doesn't retain a reference to libgit2, so I don't think it
worked:

--8<---------------cut here---------------start------------->8---
popigai =E2=B8=A4env=E2=B8=A5: ./pre-inst-env guix gc --references \
  $(./pre-inst-env guix build --no-grafts public-inbox) \
  | grep git
/gnu/store/afr6sh2vap4vdvj09s1q0rmcc3gl51rc-git-2.36.0
popigai =E2=B8=A4env=E2=B8=A5:=20
--8<---------------cut here---------------end--------------->8---

There's more work to be done to make Perl's Inline::C mechanism work in
Guix's environment. To be honest, I won't be able to work on that.

Would it be possible to commit these patches as they are now, and then
if someone can make public-inbox use libgit2 then that change can be
submitted as a separate patch?

--=20
Thanks
Thiago




Information forwarded to guix-patches@HIDDEN:
bug#55436; Package guix-patches. Full text available.

Message received at 55436 <at> debbugs.gnu.org:


Received: (at 55436) by debbugs.gnu.org; 24 May 2022 14:47:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue May 24 10:47:31 2022
Received: from localhost ([127.0.0.1]:53046 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ntVop-00004v-6w
	for submit <at> debbugs.gnu.org; Tue, 24 May 2022 10:47:31 -0400
Received: from eggs.gnu.org ([209.51.188.92]:35540)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1ntVom-0008WN-Ge
 for 55436 <at> debbugs.gnu.org; Tue, 24 May 2022 10:47:29 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:38014)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>)
 id 1ntVog-0004EX-Mb; Tue, 24 May 2022 10:47:23 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:In-Reply-To:Date:References:Subject:To:
 From; bh=8KsnHzWCqs4j5BITvPjxEbzUwE8dKovEwDUi+ILBaH4=; b=Ng1H9dc3J1V6TRsneLNF
 tyuVwp7c4gRmf72fzkRR87n2cZrdi/r0VGdG9WDW54s2oy+DHNYiSb2a9/apVaxwzdH+A8AY5YYVs
 HhYlwBCu7FtziOtTnuTX4FH3qziQ5uakvpRIvLZrRV8gaKojzoLoL2rXR9wTVbchQYZfVLlJVP3Po
 IxKqtrVtwu2Tgb0ITFJOAhj+NMbWrb+MiuLkK2PiHRUEkFqg7+JCX4KhReIY8wRtKAzC/LtE2DtAG
 qL2E5AxHK2CGmyAutLsFWf+jDg/khx0wKspVyZ9kZbUeSxA8u9e2ctKlxy+tYgxBw49G+84Y4+09T
 DHLmpzY4LjdP8A==;
Received: from [193.50.110.143] (port=59544 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>)
 id 1ntVog-0006aR-4g; Tue, 24 May 2022 10:47:22 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Thiago Jung Bauermann <bauermann@HIDDEN>
Subject: Re: bug#55436: [PATCH 0/3] Update public-inbox to 1.8.0
References: <20220515220230.504057-1-bauermann@HIDDEN>
 <20220515220230.504057-3-bauermann@HIDDEN>
 <87wnem2pid.fsf@HIDDEN> <87sfpaurho.fsf@HIDDEN>
Date: Tue, 24 May 2022 16:47:20 +0200
In-Reply-To: <87sfpaurho.fsf@HIDDEN> (Thiago Jung Bauermann's message of
 "Sun, 15 May 2022 23:42:09 -0300")
Message-ID: <87v8tvj8cn.fsf_-_@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 55436
Cc: Kyle Meyer <kyle@HIDDEN>, 55436 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hi,

Thiago Jung Bauermann <bauermann@HIDDEN> skribis:

> Ah, I wasn't aware of that. I'll wait a bit to see if there are more
> comments and spin a v2 with the change.

I haven=E2=80=99t tested it but at first sight it LGTM.

Ludo=E2=80=99.




Information forwarded to guix-patches@HIDDEN:
bug#55436; Package guix-patches. Full text available.

Message received at 55436 <at> debbugs.gnu.org:


Received: (at 55436) by debbugs.gnu.org; 16 May 2022 02:44:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 15 22:44:42 2022
Received: from localhost ([127.0.0.1]:51177 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nqQiw-0006Ma-3c
	for submit <at> debbugs.gnu.org; Sun, 15 May 2022 22:44:42 -0400
Received: from mx.kolabnow.com ([212.103.80.155]:60628)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bauermann@HIDDEN>) id 1nqQit-0006MI-Ci
 for 55436 <at> debbugs.gnu.org; Sun, 15 May 2022 22:44:39 -0400
Received: from localhost (unknown [127.0.0.1])
 by mx.kolabnow.com (Postfix) with ESMTP id 4C9EC44B9;
 Mon, 16 May 2022 04:44:10 +0200 (CEST)
Authentication-Results: ext-mx-out002.mykolab.com (amavisd-new);
 dkim=pass (4096-bit key) reason="pass (just generated, assumed good)"
 header.d=kolabnow.com
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=kolabnow.com; h=
 content-type:content-type:mime-version:message-id:in-reply-to
 :date:date:subject:subject:from:from:references:received
 :received:received; s=dkim20160331; t=1652669049; x=1654483450;
 bh=Pf2GrSX99SwZc4s6pujC6lc8ThunhfgYYFoqAD+vGUY=; b=IvL6eHNWZdOd
 vLzJP9vVCz/4ZZkOSL6ELtkzMbGgS90RGHwckQLRPooO4QSdEaQtBaMH5F2pDDqE
 rtu1oDAAIrLH5pZxrIim+GG7WT7WU33cf0OVw2nUmU0MG/0f8VPKsG/Gkm/D7xyi
 H7vVs9zBeZtUflOMEjIKXLsCstGY+8fP0ukUSD7v2d1w8QZMEGvOoingUNLcAU61
 woMjkHdP3xCIbMNtwW05x8ymPOEFOzDbZlr9w/PWZHkvzIf8CY4A4/LQe8Wh0loy
 h/Zd3PeWFgm+oJCrKwPL3vBMmf0trmQQuIuZpOeMLvKJdoF9JWmM3gp8Zerx1LTC
 JVxPLydT7p5tsKcU8B1qHP+PBZRmzP2P6ud5GZklV6RAtTgLR1OQlx0fx0arSLg8
 XF+KfwRz/LB3jDM6a5jadq96jg2edn4WapLt39aZcxev+dOwQAGlV9z6xeol0rwe
 SH0DUlD70+m+BUVJTkwywaEcNu8uezdYP2j9YaOIxLXtjsaq48Uf2QDH89gsxZmd
 j8lGeSEuBNML4IzXh9oeEZS1fPIEbicXJxXqR1l2b79d8MfC54y+i+W3eGHtOfB8
 gSy/oPmmZXoXhbEt4buPYyrNURElTVGLUTPOnTAwOyOX1Xv/BjFopMaRjimWTKO+
 rNzHQgUjt4n82u3kTt4fSLTcC1j0YXg=
X-Virus-Scanned: amavisd-new at mykolab.com
X-Spam-Flag: NO
X-Spam-Score: -1.9
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 tagged_above=-10 required=5
 tests=[BAYES_00=-1.9] autolearn=ham autolearn_force=no
Received: from mx.kolabnow.com ([127.0.0.1])
 by localhost (ext-mx-out002.mykolab.com [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id C6iuMw9iUthR; Mon, 16 May 2022 04:44:09 +0200 (CEST)
Received: from int-mx003.mykolab.com (unknown [10.9.13.3])
 by mx.kolabnow.com (Postfix) with ESMTPS id 4FDD844B2;
 Mon, 16 May 2022 04:43:42 +0200 (CEST)
Received: from ext-subm003.mykolab.com (unknown [10.9.6.3])
 by int-mx003.mykolab.com (Postfix) with ESMTPS id 83DF32024;
 Mon, 16 May 2022 04:43:39 +0200 (CEST)
References: <20220515220230.504057-1-bauermann@HIDDEN>
 <20220515220230.504057-3-bauermann@HIDDEN>
 <87wnem2pid.fsf@HIDDEN>
From: Thiago Jung Bauermann <bauermann@HIDDEN>
To: Kyle Meyer <kyle@HIDDEN>
Subject: Re: [bug#55436] [PATCH 3/3] gnu: public-inbox: Update to version 1.8.0
Date: Sun, 15 May 2022 23:42:09 -0300
In-reply-to: <87wnem2pid.fsf@HIDDEN>
Message-ID: <87sfpaurho.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55436
Cc: 55436 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


Hello Kyle,

Thank you for the feedback.

Kyle Meyer <kyle@HIDDEN> writes:

> Thiago Jung Bauermann via Guix-patches via writes:
>
>> [...]
>> [inputs]: Add curl and perl-socket-msghdr.
>> ---
>> [...]
>>      (inputs
>>       (list bash-minimal
>> +           curl
>>             git
>>             perl-dbd-sqlite
>>             perl-dbi
>
> I think it'd be good to add libgit2 as well.

Ah, I wasn't aware of that. I'll wait a bit to see if there are more
comments and spin a v2 with the change.

-- 
Thanks
Thiago




Information forwarded to guix-patches@HIDDEN:
bug#55436; Package guix-patches. Full text available.

Message received at 55436 <at> debbugs.gnu.org:


Received: (at 55436) by debbugs.gnu.org; 16 May 2022 02:34:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 15 22:34:31 2022
Received: from localhost ([127.0.0.1]:51168 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nqQYq-00066R-Lu
	for submit <at> debbugs.gnu.org; Sun, 15 May 2022 22:34:31 -0400
Received: from mx.kolabnow.com ([212.103.80.155]:59490)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bauermann@HIDDEN>) id 1nqQYo-000669-G7
 for 55436 <at> debbugs.gnu.org; Sun, 15 May 2022 22:34:15 -0400
Received: from localhost (unknown [127.0.0.1])
 by mx.kolabnow.com (Postfix) with ESMTP id 28AA542D6;
 Mon, 16 May 2022 04:34:08 +0200 (CEST)
Authentication-Results: ext-mx-out002.mykolab.com (amavisd-new);
 dkim=pass (4096-bit key) reason="pass (just generated, assumed good)"
 header.d=kolabnow.com
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=kolabnow.com; h=
 content-transfer-encoding:content-type:content-type:mime-version
 :message-id:in-reply-to:date:date:subject:subject:from:from
 :references:received:received:received; s=dkim20160331; t=
 1652668447; x=1654482848; bh=GKTe7Z+h9nB9RXTU3b+TSu6LcfQGqJf5Imq
 c9F4qV9U=; b=LwGlZ0oz/y14heuqMUN9akFo4GHGC4v98AJc68F+UT9IeY7508O
 5ix2KK7u4W+b+StN1NRJrsaYx270C6J0hjMuGN6MNqXkEdzaePyqdxDHdrkeEsTC
 OCX9VoazLknyUY83tEJqjTWjHKHQ6i16K9/63ZlR9e5L+c748S1/tCKWTebqFnKk
 WqM++OCp53fev0cJhw8a+HOIRib3ayRCWqzN2LqWiB1OeP2+oN6ar1SBqVPml27A
 Cx9YE3kh0Ey4D2mD64eGimykJSj7nyZKDRZBTj6PXLvTREopFg3P+bhQdsOqFpwx
 JFYWR1qjFCN20w3LOQ6t8+18UIgswkIpfGJ1b8ZWAGIqLbNZ4L4Gt+vzVdEIjFyC
 Qg5Jm0AuUQ6AScCB/CkiLYNMh1oHzGodxbFpYxOAWQAT/jvonUzmHTFhtOaZHyaM
 /FIoqw+oMvFjO4615Rz3B9huTqojw2DfokjRkRQk+gfGv/zpaPC6+J08/P4K7y3H
 tNj2ulbKQ5SBQP88PPah6beK3deU9dqzbeUG4XX2+LvsxHTEClhz3dOeM9EELs60
 XgFYY40KltXH35v3e4DnXwAS30AoPQfTY7v8IDAOtDQb60pbFFysrm+APVaKfODl
 4Sz4KtlyolgP/924HxGC30T+rHvHoZP/w3mO6AatNCsXfjrOlOjWaJnU=
X-Virus-Scanned: amavisd-new at mykolab.com
X-Spam-Flag: NO
X-Spam-Score: -1.9
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 tagged_above=-10 required=5
 tests=[BAYES_00=-1.9] autolearn=ham autolearn_force=no
Received: from mx.kolabnow.com ([127.0.0.1])
 by localhost (ext-mx-out002.mykolab.com [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id 5iczS7KzIrmG; Mon, 16 May 2022 04:34:07 +0200 (CEST)
Received: from int-mx001.mykolab.com (unknown [10.9.13.1])
 by mx.kolabnow.com (Postfix) with ESMTPS id 75B6A42D4;
 Mon, 16 May 2022 04:34:06 +0200 (CEST)
Received: from ext-subm003.mykolab.com (unknown [10.9.6.3])
 by int-mx001.mykolab.com (Postfix) with ESMTPS id 8EF9F347;
 Mon, 16 May 2022 04:34:05 +0200 (CEST)
References: <20220515215420.503806-1-bauermann@HIDDEN>
 <87zgji2png.fsf@HIDDEN>
From: Thiago Jung Bauermann <bauermann@HIDDEN>
To: Kyle Meyer <kyle@HIDDEN>
Subject: Re: [bug#55436] [PATCH 0/3] Update public-inbox to 1.8.0
Date: Sun, 15 May 2022 23:31:25 -0300
In-reply-to: <87zgji2png.fsf@HIDDEN>
Message-ID: <87wnemurxl.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55436
Cc: 55436 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


Kyle Meyer <kyle@HIDDEN> writes:

> Thiago Jung Bauermann via Guix-patches via writes:
>
>> Hello,
>>
>> These patches fix a few issues with the current public-inbox package, ad=
d a
>> new package which is needed by version 1.8.0, and finally updates
>> public-inbox.
>
> Thanks for working on this.

No problem. Sorry to take so long. There were a surprising number of
little issues along the way=E2=80=A6

>> [...]
>> - The tests are disabled because more changes are needed to enable them.
>>   I have them working in a local branch, but there's one patch to the
>>   public-inbox testsuite which I still need to cleanup and post upstream.
>>   If anyone is curious about it, I pushed the branch =E2=80=98public-inb=
ox-updates=E2=80=99
>>   to my GitLab repo=C2=B2.
>
> Fwiw I applied your patches and tested it a bit with my local inboxes.
> I didn't spot any issues.

<snip>

Awesome! Thank you for testing. You certainly use a lot more features of
the package than I do.

--=20
Thanks
Thiago




Information forwarded to guix-patches@HIDDEN:
bug#55436; Package guix-patches. Full text available.

Message received at 55436 <at> debbugs.gnu.org:


Received: (at 55436) by debbugs.gnu.org; 16 May 2022 02:13:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 15 22:13:53 2022
Received: from localhost ([127.0.0.1]:51144 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nqQF7-0005W9-7s
	for submit <at> debbugs.gnu.org; Sun, 15 May 2022 22:13:53 -0400
Received: from out0.migadu.com ([94.23.1.103]:20541)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <kyle@HIDDEN>) id 1nqQF5-0005W0-5u
 for 55436 <at> debbugs.gnu.org; Sun, 15 May 2022 22:13:51 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=kyleam.com; s=key1;
 t=1652667229;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:content-type:content-type:
 in-reply-to:in-reply-to:references:references;
 bh=f1WIs6yyx3qxpYxCngbQdbqDw56ugczfp6yKi+9Qn0c=;
 b=RZjG/VeoQzLezhzZNMSmqeFkE1lmPYx4dRSnICcSKHuXO6YuNUHIuOYS5MrEz+yiFykmxn
 y3st36dgV7jRVxLt6VEfdg5X3IJZqT4p8sFYUM9Sff0IQLR16Z955a02+Su6HGg2HQf/GH
 vih4zAWRSuz7q6/MuCyqa9VI7aCrMVL5HEbzLmWQCwnZOUbya0xFQ5/tZJp0gYoyJXYTux
 cEDf2QVF/j0W6t/jv4kfxbNbdAyPUDhPWkA4zQPn6NELwletNofwuKJNpvPj/6Z5sI5TkQ
 VfHxDh1KTbFp6XMrgiX2EKVBtl0xgXOx3imSzau+12qatHnwHtUi5k9ZKHGJlw==
From: Kyle Meyer <kyle@HIDDEN>
To: Thiago Jung Bauermann <bauermann@HIDDEN>
Subject: Re: [bug#55436] [PATCH 3/3] gnu: public-inbox: Update to version 1.8.0
In-Reply-To: <20220515220230.504057-3-bauermann@HIDDEN>
References: <20220515220230.504057-1-bauermann@HIDDEN>
 <20220515220230.504057-3-bauermann@HIDDEN>
Date: Sun, 15 May 2022 22:13:46 -0400
Message-ID: <87wnem2pid.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: kyleam.com
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 55436
Cc: 55436 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Thiago Jung Bauermann via Guix-patches via writes:

> [...]
> [inputs]: Add curl and perl-socket-msghdr.
> ---
> [...]
>      (inputs
>       (list bash-minimal
> +           curl
>             git
>             perl-dbd-sqlite
>             perl-dbi

I think it'd be good to add libgit2 as well.




Information forwarded to guix-patches@HIDDEN:
bug#55436; Package guix-patches. Full text available.

Message received at 55436 <at> debbugs.gnu.org:


Received: (at 55436) by debbugs.gnu.org; 16 May 2022 02:10:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 15 22:10:51 2022
Received: from localhost ([127.0.0.1]:51139 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nqQCA-0005RZ-MV
	for submit <at> debbugs.gnu.org; Sun, 15 May 2022 22:10:50 -0400
Received: from out1.migadu.com ([91.121.223.63]:18007)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <kyle@HIDDEN>) id 1nqQC8-0005RQ-BB
 for 55436 <at> debbugs.gnu.org; Sun, 15 May 2022 22:10:49 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=kyleam.com; s=key1;
 t=1652667046;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:content-type:content-type:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=mlnalt2eYRpxr/4ZZxCoqG5zY8X9n7VYeKAnHyttKD8=;
 b=i1fpoB+uvnEYA67QWxlFz7CuR8cYi+/C2I0oPOeOx9odMI5AVKR/K2eYaaXFCOO+HyAZF5
 usDf65FAp/vx5LrKOmERYfED7BuCx3SrLg9sfc0W8mpP++FPx8sTdExeFeShMt61ngq5B+
 GCVfCZETcSQlWEFTve4btAw2StX6gWKukyniAW5kHnIbhdSiTk/Fd+4FBhF2TLx/s8KQX3
 utgB3SGGyJKXnuACA8LNhnQm4lj/JgGjvS4S2OnwzVzPaAm1uiK2N0uamYO0oX6vtzrtZV
 hfsHYeEY+yDY9IFJWFP+QFitsLUCzQi/cdjQjcxVHdCAaNlVQZM4QVIpOqqFHw==
From: Kyle Meyer <kyle@HIDDEN>
To: Thiago Jung Bauermann <bauermann@HIDDEN>
Subject: Re: [bug#55436] [PATCH 0/3] Update public-inbox to 1.8.0
In-Reply-To: <20220515215420.503806-1-bauermann@HIDDEN>
References: <20220515215420.503806-1-bauermann@HIDDEN>
Date: Sun, 15 May 2022 22:10:43 -0400
Message-ID: <87zgji2png.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: kyleam.com
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 55436
Cc: 55436 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Thiago Jung Bauermann via Guix-patches via writes:

> Hello,
>
> These patches fix a few issues with the current public-inbox package, add=
 a
> new package which is needed by version 1.8.0, and finally updates
> public-inbox.

Thanks for working on this.

> [...]
> - The tests are disabled because more changes are needed to enable them.
>   I have them working in a local branch, but there's one patch to the
>   public-inbox testsuite which I still need to cleanup and post upstream.
>   If anyone is curious about it, I pushed the branch =E2=80=98public-inbo=
x-updates=E2=80=99
>   to my GitLab repo=C2=B2.

Fwiw I applied your patches and tested it a bit with my local inboxes.
I didn't spot any issues.

--8<---------------cut here---------------start------------->8---

[guix env]% realpath $(which lei)
/gnu/store/564p55ajr8wlbml1rafs4pggjzpvmqaf-public-inbox-1.8.0/bin/lei

[guix env]% lei daemon-pid
199095

[guix env]% lei q -f ldjson -O guix-patches nq:lei d:30.days.ago.. | jq '.s=
' | sort | uniq
"[bug#54997] [PATCH 04/12] Add (guix least-authority)."
"[bug#55436] [PATCH 0/3] Update public-inbox to 1.8.0"
"[bug#55436] [PATCH 3/3] gnu: public-inbox: Update to version 1.8.0"

[guix env]% lei daemon-kill
[guix env]% lei daemon-pid
199200

[guix env]% lei q -O https://lore.kernel.org/git -o mboxcl2:/tmp/t.mbox nq:=
pack d:20.days.ago..
# /gnu/store/i11i4xrx3gibdm012bqqhgrjs69qyia3-curl-7.79.1/bin/curl -Sf -s -=
d '' https://lore.kernel.org/git/?x=3Dm&q=3Dnq%3Apack+dt%3A20220426015402..
# https://lore.kernel.org/git/ 57/57
# 57 written to /tmp/t.mbox (57 matches)

[guix env]% public-inbox-httpd &
[1] 199585
# browsed around http://127.0.0.1:8080/guix-patches/ a bit
--8<---------------cut here---------------end--------------->8---




Information forwarded to guix-patches@HIDDEN:
bug#55436; Package guix-patches. Full text available.

Message received at 55436 <at> debbugs.gnu.org:


Received: (at 55436) by debbugs.gnu.org; 15 May 2022 22:03:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 15 18:03:43 2022
Received: from localhost ([127.0.0.1]:50939 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nqMKm-0007fJ-T7
	for submit <at> debbugs.gnu.org; Sun, 15 May 2022 18:03:43 -0400
Received: from mx.kolabnow.com ([212.103.80.155]:52062)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bauermann@HIDDEN>) id 1nqMKZ-0007el-El
 for 55436 <at> debbugs.gnu.org; Sun, 15 May 2022 18:03:16 -0400
Received: from localhost (unknown [127.0.0.1])
 by mx.kolabnow.com (Postfix) with ESMTP id 6ADC31211
 for <55436 <at> debbugs.gnu.org>; Mon, 16 May 2022 00:03:08 +0200 (CEST)
Authentication-Results: ext-mx-out002.mykolab.com (amavisd-new);
 dkim=pass (4096-bit key) reason="pass (just generated, assumed good)"
 header.d=kolabnow.com
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=kolabnow.com; h=
 content-transfer-encoding:content-type:content-type:mime-version
 :references:in-reply-to:message-id:date:date:subject:subject
 :from:from:received:received:received; s=dkim20160331; t=
 1652652188; x=1654466589; bh=lVsV0zTmrl/QDnxd2Zf9n1Vqoea+coMTULt
 7KzDjLkE=; b=xDLvu1VI5Pso5hVTFMzow8djiz5+sJzlcmzaLDtKCxJNY2TusCp
 0+/ttewACeELB8t7xmbDflykOBRInChvJRWsCgvwn7bVA94eNlebWunaoqhTcfxb
 PJm4GAcl8zU3FHro66l/oTBXJksInaaXdZkK7KPA9VJjZm+TMLdURecXA4PHwEih
 fCbWNeVwuEyXudpVoIZVUWp+N4IET2Oc0XOx6/XEDDXkVqosqOILyq/s+2PYFUoN
 RXnhZik/JEQiJ5naFXOC5yjMCy51MxuNurs9pm5D2Zn02KAIMbw9KDCNYSQOlMyQ
 wsEarIOLZbYK/koAqcDzGPBOb655W7xZLCHTWJqH2eFuh7Ojsq8XlxikZXBgh8xN
 JFTOme4TSv7HPyTnie07orFLz/wp4mlHYuH/rTL6N0Vb+CZvm+WDVcuT8LZAvz2n
 Mz2dGWOrAduZ5HqCZX67nU+0+ctCTfxkpWc9I6Xf+Ufb+xhj6zT/y7qxktELKUu/
 kZt3pwnirAi1wi+9MmJpnp7tclfcoO7YJHcWlTR88EKCIHOp3bYwIXB6dtfeKZq+
 YKmgC3q+ctCXq0Oh7SrsmnkeAIa9EKbPmBIv1uNndFScIDIoCafGfZGV0fnDmei6
 uaF/cdf25g3KvCasymxLZTxgU8oIdxRtEf8aFqSQZ2PSXd4KG9ciwQAM=
X-Virus-Scanned: amavisd-new at mykolab.com
X-Spam-Flag: NO
X-Spam-Score: -1.9
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 tagged_above=-10 required=5
 tests=[BAYES_00=-1.9] autolearn=ham autolearn_force=no
Received: from mx.kolabnow.com ([127.0.0.1])
 by localhost (ext-mx-out002.mykolab.com [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id hhDA-XAeE8Fv for <55436 <at> debbugs.gnu.org>;
 Mon, 16 May 2022 00:03:08 +0200 (CEST)
Received: from int-mx001.mykolab.com (unknown [10.9.13.1])
 by mx.kolabnow.com (Postfix) with ESMTPS id A5448D0E
 for <55436 <at> debbugs.gnu.org>; Mon, 16 May 2022 00:03:07 +0200 (CEST)
Received: from ext-subm003.mykolab.com (unknown [10.9.6.3])
 by int-mx001.mykolab.com (Postfix) with ESMTPS id C7AF79E3;
 Mon, 16 May 2022 00:03:06 +0200 (CEST)
From: Thiago Jung Bauermann <bauermann@HIDDEN>
To: 55436 <at> debbugs.gnu.org
Subject: [PATCH 3/3] gnu: public-inbox: Update to version 1.8.0
Date: Sun, 15 May 2022 19:02:30 -0300
Message-Id: <20220515220230.504057-3-bauermann@HIDDEN>
In-Reply-To: <20220515220230.504057-1-bauermann@HIDDEN>
References: <20220515220230.504057-1-bauermann@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55436
Cc: Thiago Jung Bauermann <bauermann@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Some fixes are needed in both the testsuite and the package itself before
tests can pass so disable them for now.

Also, the lei command needs curl to work, so add it to the PATH in
‘wrap-program’.

* gnu/packages/mail.scm (public-inbox)[version]: Change to 1.8.0.
[source]: Update hash.
[arguments]<#:tests?>: Set to #f.
[arguments]<#:phases>{wrap-programs}: Add curl to PATH.
[inputs]: Add curl and perl-socket-msghdr.
---
 gnu/packages/mail.scm | 12 ++++++++----
 1 file changed, 8 insertions(+), 4 deletions(-)

diff --git a/gnu/packages/mail.scm b/gnu/packages/mail.scm
index 0728d65d1d10..781c3bd028ff 100644
--- a/gnu/packages/mail.scm
+++ b/gnu/packages/mail.scm
@@ -4087,7 +4087,7 @@ (define-public l2md
 (define-public public-inbox
   (package
     (name "public-inbox")
-    (version "1.6.1")
+    (version "1.8.0")
     (source
      (origin (method git-fetch)
              (uri (git-reference
@@ -4095,11 +4095,12 @@ (define-public public-inbox
                    (commit (string-append "v" version))))
              (sha256
               (base32
-               "0mlwnp5knr7rk9kv8grlh342wsq2193m22zs83cjn9p7x9r2x5f9"))
+               "0xni1l54v1z3p0zb52807maay0yqabp8jgf5iras5zmhgjyk3swz"))
              (file-name (git-file-name name version))))
     (build-system perl-build-system)
     (arguments
-     '(#:phases
+     '(#:tests? #f
+       #:phases
        (modify-phases %standard-phases
          (add-before 'configure 'qualify-paths
            (lambda* (#:key inputs #:allow-other-keys)
@@ -4132,13 +4133,15 @@ (define-public public-inbox
                     ;; 'git' is invoked in various files of the PublicInbox
                     ;; perl module.
                     `("PATH" ":" prefix
-                      (,(dirname (search-input-file inputs "/bin/git"))))))
+                      (,(dirname (search-input-file inputs "/bin/git"))
+                       ,(dirname (search-input-file inputs "/bin/curl"))))))
                 (find-files (string-append out "/bin")))))))))
     (native-inputs
      (list ;; For testing.
            lsof openssl))
     (inputs
      (list bash-minimal
+           curl
            git
            perl-dbd-sqlite
            perl-dbi
@@ -4151,6 +4154,7 @@ (define-public public-inbox
            perl-plack-middleware-reverseproxy
            perl-plack
            perl-search-xapian
+           perl-socket-msghdr
            perl-timedate
            perl-uri-escape
            perl-inline-c




Information forwarded to guix-patches@HIDDEN:
bug#55436; Package guix-patches. Full text available.

Message received at 55436 <at> debbugs.gnu.org:


Received: (at 55436) by debbugs.gnu.org; 15 May 2022 22:03:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 15 18:03:28 2022
Received: from localhost ([127.0.0.1]:50935 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nqMKX-0007es-Qm
	for submit <at> debbugs.gnu.org; Sun, 15 May 2022 18:03:28 -0400
Received: from mx.kolabnow.com ([212.103.80.154]:47760)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bauermann@HIDDEN>) id 1nqMKK-0007e4-6n
 for 55436 <at> debbugs.gnu.org; Sun, 15 May 2022 18:03:00 -0400
Received: from localhost (unknown [127.0.0.1])
 by mx.kolabnow.com (Postfix) with ESMTP id 7C06EBDA
 for <55436 <at> debbugs.gnu.org>; Mon, 16 May 2022 00:02:54 +0200 (CEST)
Authentication-Results: ext-mx-out001.mykolab.com (amavisd-new);
 dkim=pass (4096-bit key) reason="pass (just generated, assumed good)"
 header.d=kolabnow.com
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=kolabnow.com; h=
 content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:date:subject:subject:from:from:received
 :received:received; s=dkim20160331; t=1652652174; x=1654466575;
 bh=MX8M8OhfzcANs7EEJ+1XLmdbxy4LSlvRHmZ+S4kfSP8=; b=ojtIoikYmwY5
 WlZ70dgh4eOoTQCrQRh07muHtbvA1XhklLybH/j7UfWgEn+eZV9q/LqW+Fp1H5+I
 J6pn2Wnumr2ZaL/t22/WNb6DP3aOzNKPKcwKPCiDT22+giQAdaFCpjR0ujPsKjNE
 9HsRYdSMyaOa8lqon+gTjmvWo8ARQRD5n+gZEaB5llTxHFZU9g+iocXlgSn9n4n/
 3j6sgkDnbxgFjWiN1W4AmpNsnnoRZzos1hpq1CqNCwiavz5tDpVM+2prnVgX48kT
 Gn0A9TqiM9VAU8RxAQTUMpkzwXtkrGqyDcqw5fSq48iq8Udvdm82rYt1dGT6/xS/
 NjFWatMrJ9PQtw5N1jia763I4q8idyWr8/3pmTQMG+Ij7i+bhPXiozBSMiZ+CoeV
 F61HIK99UYd/vpuDA69qB2hi7605vbwzoaVosqFQODgDPS4TqZFm/egvtwmTVFwB
 i9HzcgbW094Bl20fdhTQGLhWQPhsmQVus0m8ZiC89wLsnmpDUI/rQyIl7kdplzKM
 BLjX3YK9z47q77wUloXu+gpaHh2vxfZbkNPiNhNZZz2nPkTzAWt3LH9QpTDQ4r7I
 MsQ1Ny30bYBD7OKifIzToWQVe9dHYT+OMYCtKrXF1Mwe+hPs/JmLobI5jANzJ/yG
 GjfAIyV0sywHb3RoDjdQ7bHEQ1QGviA=
X-Virus-Scanned: amavisd-new at mykolab.com
X-Spam-Flag: NO
X-Spam-Score: -1.9
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 tagged_above=-10 required=5
 tests=[BAYES_00=-1.9] autolearn=ham autolearn_force=no
Received: from mx.kolabnow.com ([127.0.0.1])
 by localhost (ext-mx-out001.mykolab.com [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id fvmoqsMeBGSE for <55436 <at> debbugs.gnu.org>;
 Mon, 16 May 2022 00:02:54 +0200 (CEST)
Received: from int-mx002.mykolab.com (unknown [10.9.13.2])
 by mx.kolabnow.com (Postfix) with ESMTPS id C1C7E520
 for <55436 <at> debbugs.gnu.org>; Mon, 16 May 2022 00:02:53 +0200 (CEST)
Received: from ext-subm003.mykolab.com (unknown [10.9.6.3])
 by int-mx002.mykolab.com (Postfix) with ESMTPS id 3AF562C63;
 Mon, 16 May 2022 00:02:53 +0200 (CEST)
From: Thiago Jung Bauermann <bauermann@HIDDEN>
To: 55436 <at> debbugs.gnu.org
Subject: [PATCH 2/3] gnu: Add perl-socket-msghdr
Date: Sun, 15 May 2022 19:02:29 -0300
Message-Id: <20220515220230.504057-2-bauermann@HIDDEN>
In-Reply-To: <20220515220230.504057-1-bauermann@HIDDEN>
References: <20220515220230.504057-1-bauermann@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55436
Cc: Thiago Jung Bauermann <bauermann@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/perl.scm (perl-socket-msghdr): New variable.
---
 gnu/packages/perl.scm | 24 ++++++++++++++++++++++++
 1 file changed, 24 insertions(+)

diff --git a/gnu/packages/perl.scm b/gnu/packages/perl.scm
index ba65cc6e6d8e..5fc46452440f 100644
--- a/gnu/packages/perl.scm
+++ b/gnu/packages/perl.scm
@@ -11849,3 +11849,27 @@ (define-public perl-data-sexpression
     (description "Data::SExpression parses Lisp S-Expressions into Perl data
 structures.")
     (license license:perl-license)))
+
+(define-public perl-socket-msghdr
+  (package
+    (name "perl-socket-msghdr")
+    (version "0.05")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (string-append
+             "mirror://cpan/authors/id/F/FE/FELIPE/Socket-MsgHdr-"
+             version
+             ".tar.gz"))
+       (sha256
+        (base32 "0g3qa7xn0aqn417jfvnc0i3ksyqa7bnvws0wihldir6ywcaiql4n"))))
+    (build-system perl-build-system)
+    (home-page "https://metacpan.org/release/Socket-MsgHdr")
+    (synopsis "Perform advanced operations via sendmsg and recvmsg")
+    (description "Socket::MsgHdr provides advanced socket messaging operations
+via sendmsg and recvmsg.
+
+It also allows manipulating ancillary data or so-called control
+information (cmsghdr).  This ancillary data may be used for file descriptor
+passing, IPv6 operations, and a host of implemenation-specific extensions.")
+    (license license:perl-license)))




Information forwarded to guix-patches@HIDDEN:
bug#55436; Package guix-patches. Full text available.

Message received at 55436 <at> debbugs.gnu.org:


Received: (at 55436) by debbugs.gnu.org; 15 May 2022 22:03:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 15 18:03:13 2022
Received: from localhost ([127.0.0.1]:50933 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nqMKM-0007eQ-21
	for submit <at> debbugs.gnu.org; Sun, 15 May 2022 18:03:13 -0400
Received: from mx.kolabnow.com ([212.103.80.153]:64944)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bauermann@HIDDEN>) id 1nqMKJ-0007e1-SQ
 for 55436 <at> debbugs.gnu.org; Sun, 15 May 2022 18:03:00 -0400
Received: from localhost (unknown [127.0.0.1])
 by mx.kolabnow.com (Postfix) with ESMTP id B300C40EBA
 for <55436 <at> debbugs.gnu.org>; Mon, 16 May 2022 00:02:53 +0200 (CEST)
Authentication-Results: ext-mx-out003.mykolab.com (amavisd-new);
 dkim=pass (4096-bit key) reason="pass (just generated, assumed good)"
 header.d=kolabnow.com
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=kolabnow.com; h=
 content-transfer-encoding:content-type:content-type:mime-version
 :message-id:date:date:subject:subject:from:from:received
 :received:received; s=dkim20160331; t=1652652168; x=1654466569;
 bh=SkieCuHggSvdszLlRYheIAuEgFGtuELiK9GVk8HDBjs=; b=Wb8rcmM7oy0S
 tFmDWzii2GJvvJtvgjaE8jgFeNVtOBzayCHbBm0rUOMwc4XQj5sCSu1U9oxGRAcc
 3VmroIYTY6e7cBgRcX1JcmX3nfEjdvBWY/BiKxpb+2cqxDVBZ2Df57ok0i/WHwCi
 qSZAMzUSCwjnIrmkumYPci4LOXRtt44s0syxNyQSFHP/CgfzNjWTT0RBcskANzVy
 b1D8F9hRlkJGYPqGhYo6onMjrNF4MIYtNZTfAQnv6mHxQYLvmpV87dNT3CrAFcC2
 9NPx8wq6tUxNW7dpccYmM/4ijtIdCQNLygnoduzmv4YcERzvpNmwxEq7poTl9ko1
 R5mN5urCnSSLgdQY4eEWluQZ5Ap+8HmCfNn6MWdXDSqLP+buoIR3LpENEYZjhvFC
 EH1nHXTHQmOjQFZCHL/J1pQjr7w4ojflrJ0s1Ru/gHEXjI6OvId/aj8lIBls/vmj
 LWhtVrYHx7IVRaixU/cPWOKJTMAo8FzN0ONWGsUR8eHNd1yXEEzGsULgpcUnORmw
 3OtXiY1zRRIuDPr/u0PBTkvRFA0sPOYpR1mRV6zWWy6BoQtCSFf8YWr0Ppf/qgEo
 XxBT6ai8k4wgvRZUlm+rIYCGTZ5ahSHyOSz+p6HtCGv4rUruDIt112+HekEoNrzz
 ue9j8oIECaAhzxP6h7RZCIVqzi87raw=
X-Virus-Scanned: amavisd-new at mykolab.com
X-Spam-Flag: NO
X-Spam-Score: -1.899
X-Spam-Level: 
X-Spam-Status: No, score=-1.899 tagged_above=-10 required=5
 tests=[BAYES_00=-1.9, URIBL_BLOCKED=0.001]
 autolearn=ham autolearn_force=no
Received: from mx.kolabnow.com ([127.0.0.1])
 by localhost (ext-mx-out003.mykolab.com [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id QTCGbl1d9Mrc for <55436 <at> debbugs.gnu.org>;
 Mon, 16 May 2022 00:02:48 +0200 (CEST)
Received: from int-mx003.mykolab.com (unknown [10.9.13.3])
 by mx.kolabnow.com (Postfix) with ESMTPS id 8761940DC5
 for <55436 <at> debbugs.gnu.org>; Mon, 16 May 2022 00:02:47 +0200 (CEST)
Received: from ext-subm003.mykolab.com (unknown [10.9.6.3])
 by int-mx003.mykolab.com (Postfix) with ESMTPS id A51262448;
 Mon, 16 May 2022 00:02:46 +0200 (CEST)
From: Thiago Jung Bauermann <bauermann@HIDDEN>
To: 55436 <at> debbugs.gnu.org
Subject: [PATCH 1/3] gnu: public-inbox: Some packaging fixes
Date: Sun, 15 May 2022 19:02:28 -0300
Message-Id: <20220515220230.504057-1-bauermann@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55436
Cc: Thiago Jung Bauermann <bauermann@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

The file ‘script/public-inbox-compact’ doesn't call ‘xapian-compact’ directly
anymore, so the substitution in the ‘qualify-paths’ phase doesn't do anything.

Now there's a reference to ‘xapian-compact’ in ‘lib/PublicInbox/Xapcmd.pm’,
so substitute the path there.

And move xapian from native-inputs to inputs and use its input path in the
substitution, since ‘xapian-compact’ is called during normal execution of
public-inbox.

Also add ‘bash-minimal’ to the package's inputs, since it uses ‘wrap-program’.

Finally, take the opportunity to change build phases to not return #t
unconditionally, since that isn't necessary anymore.

* gnu/packages/mail.scm (public-inbox)[arguments]<#:phases>: Don't return #t
from each phase.
{qualify-paths}: Substitute ‘xapian-compact’ path in the correct file.  Use
‘search-input-file’ rather than ‘which’ to find it.
[native-inputs]: Move ‘xapian’ from here ...
[inputs]: ... to here. Add ‘bash-minimal’.
---
 gnu/packages/mail.scm | 26 +++++++++++++-------------
 1 file changed, 13 insertions(+), 13 deletions(-)

diff --git a/gnu/packages/mail.scm b/gnu/packages/mail.scm
index c4ccc53e84ef..0728d65d1d10 100644
--- a/gnu/packages/mail.scm
+++ b/gnu/packages/mail.scm
@@ -47,6 +47,7 @@
 ;;; Copyright © 2021 Philip McGrath <philip@HIDDEN>
 ;;; Copyright © 2022 Andrew Tropin <andrew@HIDDEN>
 ;;; Copyright © 2022 Justin Veilleux <terramorpha@HIDDEN>
+;;; Copyright © 2022 Thiago Jung Bauermann <bauermann@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -4101,12 +4102,12 @@ (define-public public-inbox
      '(#:phases
        (modify-phases %standard-phases
          (add-before 'configure 'qualify-paths
-           (lambda _
+           (lambda* (#:key inputs #:allow-other-keys)
              ;; Use absolute paths for 'xapian-compact'.
-             (let ((xapian-compact (which "xapian-compact")))
-               (substitute* "script/public-inbox-compact"
-                 (("xapian-compact") xapian-compact)))
-             #t))
+             (substitute* "lib/PublicInbox/Xapcmd.pm"
+               (("'xapian-compact'")
+                (format #f "'~a'" (search-input-file inputs
+                                                     "/bin/xapian-compact"))))))
          (add-before 'check 'pre-check
            (lambda _
              (substitute* "t/spawn.t"
@@ -4117,8 +4118,7 @@ (define-public public-inbox
              ;; XXX: This test fails due to zombie process is not reaped by
              ;; the builder.
              (substitute* "t/httpd-unix.t"
-               (("^SKIP: \\{") "SKIP: { skip('Guix');"))
-             #t))
+               (("^SKIP: \\{") "SKIP: { skip('Guix');"))))
          (add-after 'install 'wrap-programs
            (lambda* (#:key inputs outputs #:allow-other-keys)
              (let ((out (assoc-ref outputs "out")))
@@ -4133,14 +4133,13 @@ (define-public public-inbox
                     ;; perl module.
                     `("PATH" ":" prefix
                       (,(dirname (search-input-file inputs "/bin/git"))))))
-                (find-files (string-append out "/bin"))))
-             #t)))))
+                (find-files (string-append out "/bin")))))))))
     (native-inputs
-     (list xapian
-           ;; For testing.
+     (list ;; For testing.
            lsof openssl))
     (inputs
-     (list git
+     (list bash-minimal
+           git
            perl-dbd-sqlite
            perl-dbi
            perl-email-address-xs
@@ -4162,7 +4161,8 @@ (define-public public-inbox
            ;; ("highlight" ,highlight)
            ;; For testing.
            perl-ipc-run
-           perl-xml-feed))
+           perl-xml-feed
+           xapian))
     (home-page "https://public-inbox.org/README.html")
     (synopsis "Archive mailing lists in Git repositories")
     (description




Information forwarded to guix-patches@HIDDEN:
bug#55436; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 15 May 2022 21:54:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 15 17:54:44 2022
Received: from localhost ([127.0.0.1]:50923 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nqMCK-0007R8-4J
	for submit <at> debbugs.gnu.org; Sun, 15 May 2022 17:54:44 -0400
Received: from lists.gnu.org ([209.51.188.17]:59248)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bauermann@HIDDEN>) id 1nqMCI-0007R1-Vq
 for submit <at> debbugs.gnu.org; Sun, 15 May 2022 17:54:43 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:42924)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <bauermann@HIDDEN>)
 id 1nqMCI-0005d2-I6
 for guix-patches@HIDDEN; Sun, 15 May 2022 17:54:42 -0400
Received: from mx.kolabnow.com ([212.103.80.154]:43422)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <bauermann@HIDDEN>)
 id 1nqMCF-0006vW-I2
 for guix-patches@HIDDEN; Sun, 15 May 2022 17:54:41 -0400
Received: from localhost (unknown [127.0.0.1])
 by mx.kolabnow.com (Postfix) with ESMTP id 65B95B64
 for <guix-patches@HIDDEN>; Sun, 15 May 2022 23:54:34 +0200 (CEST)
Authentication-Results: ext-mx-out002.mykolab.com (amavisd-new);
 dkim=pass (4096-bit key) reason="pass (just generated, assumed good)"
 header.d=kolabnow.com
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=kolabnow.com; h=
 content-transfer-encoding:content-type:content-type:mime-version
 :message-id:date:date:subject:subject:from:from:received
 :received:received; s=dkim20160331; t=1652651674; x=1654466075;
 bh=T0dIimu+aP5gwHzh7USK0XI3ENhle++k9sb2Cr3ZSLw=; b=ieuFJxAENR7M
 8YyheuJ5VA7LitCkZpj4cifg2JD48L8JFNfPtorB0gV/s5f8T7d7UoNKd8yMQB7r
 PXx0o0SPwXxv0fFrdL9+lAb3GkSKQIJZYAZnUMueksl182mZg/C05s+s2hs5eWCC
 t0YnXEXKyHBqHs/1Nv9o8O2V75r5zSA/hHAS7ENhTPfYuet5iC+illfG+CstRggx
 JqVTKus8OaRTcHP8GKcOyo/eHjNgybwB+krFpRojiH6FGRXx2eU0cKPVCzK+dKQ5
 Jl8+LqviPOdUG9GLZyqePndTHtDqIg5Vfl3v07X9GLNoTGJKBIMwfqmwRWht0Zll
 rNps5Wb7uNI4lHgq2FaK9PD66E5q0DTaMMu/7DmYTkJNImJArsqODf+8NhEtyXFP
 gqYcsdX4mGPimKCkjtySK36/PuT5II7HyN2xaKZO9p9TFk4b31W0LyRI+WQcKR1t
 gWCTf0OzllNPbecHty5rXZbkBIvhoNYPaDQmHF8KFGA3tySiQo4l91xVXMldcumd
 4Dbq4Y4JAIk9E1dPcOb7C/bq0/428oHUOrgA+YUlZHLipeoGYab190bc3/yZCJux
 69hnrQABLxuCSeFGy1nCGpTKfp4Z4SjeljE9FKkKm994U4GL6fx15E6VuYCmBeLw
 63kuBnAsbVASV7jIifZ8g8YphOQI1sI=
X-Virus-Scanned: amavisd-new at mykolab.com
X-Spam-Flag: NO
X-Spam-Score: -1.899
X-Spam-Level: 
X-Spam-Status: No, score=-1.899 tagged_above=-10 required=5
 tests=[BAYES_00=-1.9, URIBL_BLOCKED=0.001]
 autolearn=ham autolearn_force=no
Received: from mx.kolabnow.com ([127.0.0.1])
 by localhost (ext-mx-out002.mykolab.com [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id SX-NUK87OLlH for <guix-patches@HIDDEN>;
 Sun, 15 May 2022 23:54:34 +0200 (CEST)
Received: from int-mx001.mykolab.com (unknown [10.9.13.1])
 by mx.kolabnow.com (Postfix) with ESMTPS id 4CE14641
 for <guix-patches@HIDDEN>; Sun, 15 May 2022 23:54:33 +0200 (CEST)
Received: from ext-subm003.mykolab.com (unknown [10.9.6.3])
 by int-mx001.mykolab.com (Postfix) with ESMTPS id B00DD8EA;
 Sun, 15 May 2022 23:54:32 +0200 (CEST)
From: Thiago Jung Bauermann <bauermann@HIDDEN>
To: guix-patches@HIDDEN
Subject: [PATCH 0/3] Update public-inbox to 1.8.0
Date: Sun, 15 May 2022 18:54:20 -0300
Message-Id: <20220515215420.503806-1-bauermann@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
Received-SPF: pass client-ip=212.103.80.154;
 envelope-from=bauermann@HIDDEN; helo=mx.kolabnow.com
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001, T_SCC_BODY_TEXT_LINE=-0.01 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
Cc: Thiago Jung Bauermann <bauermann@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

Hello,

These patches fix a few issues with the current public-inbox package, add a
new package which is needed by version 1.8.0, and finally updates
public-inbox.

A few notes regarding the new package perl-socket-msghdr:

- It's based on the package generated by the CPAN importer. As such, the
  origin URL is on CPAN. There's an upstream repo on GitHub¹, but it
  appears inactive. The contents there are identical to the CPAN tarball,
  modulo the files META.json, META.yml and MANIFEST (the former two exist
  only on CPAN, and the latter is changed to include them) so I left the
  origin unchanged.

- There's a file called ‘ppport.h’ with 7k lines that was automatically
  generated by some tool called “Devel::PPPort”. Ideally we should delete
  it and regenerate it, but I haven't done that.

And regarding public-inbox 1.8.0:

- The diff from current version 1.6.1 has about 57k lines (including
  context). I didn't do even a cursory review of the changes.

- The new tool ‘lei’ depends on curl to work. I tried substituting its path
  directly in the source code, but for some reason that didn't work.
  Therefore I settled for adding curl to the PATH with ‘program-wrapper’.

- The tests are disabled because more changes are needed to enable them.
  I have them working in a local branch, but there's one patch to the
  public-inbox testsuite which I still need to cleanup and post upstream.
  If anyone is curious about it, I pushed the branch ‘public-inbox-updates’
  to my GitLab repo².

Thiago Jung Bauermann (3):
  gnu: public-inbox: Some packaging fixes
  gnu: Add perl-socket-msghdr
  gnu: public-inbox: Update to version 1.8.0

 gnu/packages/mail.scm | 38 +++++++++++++++++++++-----------------
 gnu/packages/perl.scm | 24 ++++++++++++++++++++++++
 2 files changed, 45 insertions(+), 17 deletions(-)

base-commit: 527952945c59f69665e40b6b416141554084e057

-- 

¹ https://github.com/FGasper/p5-Socket-MsgHdr
² https://gitlab.com/bauermann/guix/




Acknowledgement sent to Thiago Jung Bauermann <bauermann@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#55436; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 1 Jun 2022 20:45:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.